<template>
  <div>
    <product-Details :type="type" :id="id" :name="name" :licenseRate="licenseRate" :categoryId="categoryId"></product-Details>
  </div>
</template>

<script>
import productDetails from './components/index.vue'
export default {
  components: {
    productDetails
  },
  props: {},
  data() {
    return {
    };
  },
  watch: {},
  computed: {
    //类型2是产品，1是产品类别
    type(){
        return this.$route.query.type
    },
    //产品或者产品类别id
    id(){
        return this.$route.query.id
    },
    //产品或者产品类别名称
    name(){
        return this.$route.query.name
    },
    //产品或者产品类别许可费率
    licenseRate(){
        return this.$route.query.licenseRate
    },
    categoryId(){
      return this.$route.query.categoryId
    }
  },
  created() {},
  mounted() {},
  methods: {},
};
</script>
<style lang="scss" scoped>
</style>